/// <reference types="react" />
import "../init";
import PropTypes from "prop-types";
import { FormElement } from "../formElement";
export declare type CheckboxProps = FormElement<boolean> & {
    color: "amber" | "blue" | "cyan" | "emerald" | "fuchsia" | "gray" | "green" | "indigo" | "lightBlue" | "lime" | "orange" | "pink" | "purple" | "red" | "rose" | "teal" | "violet" | "yellow";
    labelPosition?: "left" | "right";
    labelClassName?: string;
};
export declare const CheckBox: {
    (props: CheckboxProps): JSX.Element;
    defaultProps: {
        color: string;
        labelPosition: string;
        disabled: boolean;
    };
    propTypes: {
        color: PropTypes.Requireable<string>;
        className: PropTypes.Requireable<string>;
        label: PropTypes.Requireable<string>;
        labelPosition: PropTypes.Requireable<string>;
        labelClassName: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        disabled: PropTypes.Requireable<boolean>;
    };
};
